#!/bin/ksh
#
# This script will remove all NetQuestion indexes installed by
# VisualAge for Smalltalk.
# This script needs to be run by the root user.
# 
# Script debug flag
#set -x
typeset -u _abtix
typeset -l _abtixlc

system=`uname`
case "$system" in
        "AIX")  ECHO=echo
        	export PATH=$PATH:/usr/IMNSearch/bin
                ;;
        "HP-UX")ECHO=dummy
        	export PATH=$PATH:/opt/IMNSearch/bin
                export NLSPATH="$NLSPATH:/usr/lib/nls/%L/%N:/usr/lib/nls/msg/%L/%N"
                ;;
        "SunOS")ECHO=dummy
        	export PATH=$PATH:/opt/IMNSearch/bin
                export NLSPATH="$NLSPATH:/usr/lib/locale/%L/LC_MESSAGES/%N"
                ;;
        *)      echo "Operating system not supported."
                exit 1
                ;;
esac

# The following variable represents the base version of VA Smalltalk
# that is installed (and for which we want to remove the NetQ indexes)
_vaver=55

# First unregister the search engines
./cgi_unconfig.sh abtwebx.exe abtsrsen.exe

# Next, unregister all the indexes
for _abtixfile in /usr/docsearch/indexes/abtx*$_vaver
do
	_abtixlc=$(basename $_abtixfile)
	_abtix=$_abtixlc
	./ix_unconfig.sh $_abtix
	imnss -stop imnhelp
	imnss -start imnhelp
	rm -r $_abtixfile
	_abtixusrfile=$(echo $_abtixfile | sed "s/usr/var/g")
	rm -r $_abtixusrfile
done

# Before uninstalling NetQ, be sure that there are no other indexes
# defined/used by other products (using the following command):
#imnixlst

# To uninstall NetQ on SunOS or HP-UX, execute the following command:
#/opt/IMNSearch/bin/IMNpkgrm
#
# To uninstall NetQ on AIX, use smitty
